# Generated by rust2rpm 25
%bcond_without check

%global crate coreutils

Name:           rust-coreutils
Version:        0.0.23
Release:        %autorelease
Summary:        coreutils ~ GNU coreutils reimplementation in Rust

License:        MIT
URL:            https://crates.io/crates/coreutils
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * don't use conv, unmaintained
Patch:          coreutils-fix-metadata.diff
# Fix finding uu_factor, need to look in registry rather than relative path
Patch:          coreutils-fix-finding-uu_factor.diff
# Fix test that uses conv
Patch:          coreutils-drop-conv.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
coreutils ~ GNU coreutils (updated); implemented as universal (cross-
platform) utils, written in Rust.}

%description %{_description}

%package     -n uutils-%{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# CC0-1.0
# ISC
# MIT
# MIT OR Apache-2.0
# MIT OR Zlib OR Apache-2.0
# MIT-0 OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND (MIT OR Apache-2.0) AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-2-Clause AND CC0-1.0 AND ISC AND (MIT OR Zlib OR Apache-2.0) AND (MIT-0 OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n uutils-%{crate} %{_description}

%files       -n uutils-%{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTING.md
%doc DEVELOPMENT.md
%doc README.md
%{_bindir}/coreutils
%{_bindir}/uudoc

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f uudoc

%build
%cargo_build -f uudoc
%{cargo_license_summary -f uudoc}
%{cargo_license -f uudoc} > LICENSE.dependencies

%install
%cargo_install -f uudoc

%if %{with check}
%check
# * disable failed tests (mostly panics)
%cargo_test -f uudoc -- -- --exact --skip test_df::test_file_column_width_if_filename_contains_unicode_chars --skip test_df::test_nonexistent_file --skip test_df::test_output_file_specific_files --skip test_df::test_output_mp_repeat --skip test_df::test_output_option_without_equals_sign --skip test_df::test_total_label_in_correct_column --skip test_df::test_type_option_with_file --skip test_du::test_du_dereference_args --skip test_du::test_du_no_dereference --skip test_ls::test_device_number --skip test_seq::test_width_negative_decimal_notation --skip test_seq::test_width_negative_scientific_notation --skip test_seq::test_width_negative_zero_scientific_notation --skip test_tail::test_follow_when_files_are_pointing_to_same_relative_file_and_file_stays_same_size
%endif

%changelog
%autochangelog
